<?php

namespace App\Policies;

use App\Models\Alumni;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class AlumniPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create alumni', 'edit alumni', 'view alumni', 'delete alumni'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, Alumni $alumni): bool
    {
        return $user->hasPermissionTo('view alumni');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create alumni');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, Alumni $alumni): bool
    {
        return $user->hasPermissionTo('edit alumni');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, Alumni $alumni): bool
    {
        return $user->hasPermissionTo('delete alumni');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, Alumni $alumni): bool
    {
        return $user->hasPermissionTo('restore alumni');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, Alumni $alumni): bool
    {
        return $user->hasPermissionTo('force delete alumni');
    }
}
